Bug 1286867 - Review Request: python-novaclient-os-virtual-interfaces - Adds Virtual Interfaces support to python-novaclient
Review Request: python-novaclient-os-virtual-interfaces - Adds Virtual Interf...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 18:19 EST by Christos Triantafyllidis
Modified: 2016-02-08 04:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 22:23:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Upstream Release Monitoring 2015-11-30 18:22:09 EST
ctria's scratch build of python-os_virtual_interfacesv2_python_novaclient_ext-0.19-1.fc23.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12018821
Comment 3 Upstream Release Monitoring 2015-12-02 12:24:57 EST
ctria's scratch build of python-os_virtual_interfacesv2_python_novaclient_ext-0.19-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12031325
Comment 4 Paul Belanger 2015-12-17 13:25:36 EST
Some comments:

Missing LICENSE file, this is pretty big and will need to get resolved upstream.
Missing python3 support. While the openstack libraries don't all support it, it would be nice to see the packaging here for the future.  Refer to the python packaging guidelines.

No need for global sum, you can use %summary

See below for RPMLint failures.

Lastly, I'd like to see some documentation.  Since there is no information on how to use this.

---

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-os_virtual_interfacesv2_python_novaclient_ext-0.19-1.fc24.noarch.rpm
          python-os_virtual_interfacesv2_python_novaclient_ext-0.19-1.fc24.src.rpm
python2-os_virtual_interfacesv2_python_novaclient_ext.noarch: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
python2-os_virtual_interfacesv2_python_novaclient_ext.noarch: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
python-os_virtual_interfacesv2_python_novaclient_ext.src: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
python-os_virtual_interfacesv2_python_novaclient_ext.src: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-os_virtual_interfacesv2_python_novaclient_ext (rpmlib, GLIBC filtered):
    python(abi)
    python-novaclient



Provides
--------
python2-os_virtual_interfacesv2_python_novaclient_ext:
    python-os_virtual_interfacesv2_python_novaclient_ext
    python-os_virtual_interfacesv2_python_novaclient_ext(x86-64)
    python2-os_virtual_interfacesv2_python_novaclient_ext



Source checksums
----------------
https://pypi.python.org/packages/source/o/os_virtual_interfacesv2_python_novaclient_ext/os_virtual_interfacesv2_python_novaclient_ext-0.19.tar.gz :
  CHECKSUM(SHA256) this package     : 5171370e5cea447019cee5da22102b7eca4d4a7fb3f12875e2d7658d98462c0a
  CHECKSUM(SHA256) upstream package : 5171370e5cea447019cee5da22102b7eca4d4a7fb3f12875e2d7658d98462c0a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1286867 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Christos Triantafyllidis 2015-12-17 14:16:58 EST
Hello Paul,

Thank you very much for the review.

On your comments:
- Missing LICENSE file, this is pretty big and will need to get resolved upstream.

First of all I don't think that is a blocker, is it? It is on the SHOULDs.
Nevertheless I totally agree with you and that is why I raised it as pull request to upstream when I submitted this review request:
https://github.com/rackerlabs/os_virtual_interfacesv2_ext/pull/3
The package will be rebuild as soon as that is merged.


- Missing python3 support. While the openstack libraries don't all support it, it would be nice to see the packaging here for the future.  Refer to the python packaging guidelines.

I actually copied the template of python packaging guidelines. Unfortunately the dependencies of that don't support python3 yet thus I removed the python3 part from the spec file. Is it needed and commented out? As soon as python-novaclient is available in python3 package I'll post an update.

- No need for global sum, you can use %summary
As above I just used what is in the template for multiversion python packages in the python packaging guidelines. I'll try setting Summary on the main package and using %summary in the python2 subpackage and if that works I'm happy to switch to it.

- rpmlint errors.
Those refer to the word "novaclient" not being in en_US dictionary. As this is a package name I don't think we should change it.

- Missing documentation.
Given that there is no upstream documentation I'm not sure if I should write and include my own on. I'm happy to raise it as an issue to upstream and contribute to upstream but till/unless it is accepted I'd prefer to not include any.

- If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
Given that source package doesn't include the text of the license in its own file, that can't be included.

- Spec file is legible and written in American English.
I suspect that refers to the rpmlint errors. I'd say it is safe to ignore.


I'm putting it back in the queue of NEW packages feel free to take the ticket if you want to do an official review (I see that the manual review parts are missing so I assume you were not doing an official review).

Cheers,
Christos

PS: Removing the fedora-review (-) flag as that should be used only if the package is not suitable for packaging in Fedora (for legal or other reasons), a review that needs works does need to have it.
Comment 6 Christos Triantafyllidis 2015-12-17 16:29:58 EST
Some additions:
- Regarding documentation just confirmed that README.1st exists and contains the available commands and that:
$ nova help <cmd>
Provides any additional information so I believe that is covered.

- Regarding %sum global, indeed it seems to work fine with %summary. I've updated the spec file accordingly (at the same place)
Comment 7 gil cattaneo 2016-01-27 10:35:25 EST
can you take this https://bugzilla.redhat.com/show_bug.cgi?id=1302003 for me?
thanks in advance
Comment 8 gil cattaneo 2016-01-27 10:45:22 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/gil/1286867-python-
     os_virtual_interfacesv2_python_novaclient_ext/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[?]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-os_virtual_interfacesv2_python_novaclient_ext-0.19-1.fc24.noarch.rpm
          python-os_virtual_interfacesv2_python_novaclient_ext-0.19-1.fc24.src.rpm
python2-os_virtual_interfacesv2_python_novaclient_ext.noarch: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
python2-os_virtual_interfacesv2_python_novaclient_ext.noarch: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
python-os_virtual_interfacesv2_python_novaclient_ext.src: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
python-os_virtual_interfacesv2_python_novaclient_ext.src: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python2-os_virtual_interfacesv2_python_novaclient_ext.noarch: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
python2-os_virtual_interfacesv2_python_novaclient_ext.noarch: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/gil/1286867-python-os_virtual_interfacesv2_python_novaclient_ext/srpm/python-os_virtual_interfacesv2_python_novaclient_ext.spec	2016-01-27 16:13:14.611182097 +0100
+++ /home/gil/1286867-python-os_virtual_interfacesv2_python_novaclient_ext/srpm-unpacked/python-os_virtual_interfacesv2_python_novaclient_ext.spec	2015-12-01 00:15:07.000000000 +0100
@@ -1,8 +1,9 @@
 %global srcname os_virtual_interfacesv2_python_novaclient_ext
+%global sum Adds Virtual Interfaces support to python-novaclient
 
 Name:		python-%{srcname}
 Version:	0.19
 Release:	1%{dist}
-Summary:	Adds Virtual Interfaces support to python-novaclient
+Summary:	%{sum}
 License:	ASL 2.0
 Group:		Development/Libraries
@@ -17,5 +18,5 @@
 
 %package -n python2-%{srcname}
-Summary:	%{summary}
+Summary:	%{sum}
 BuildRequires:	python-novaclient
 Requires:	python-novaclient


Requires
--------
python2-os_virtual_interfacesv2_python_novaclient_ext (rpmlib, GLIBC filtered):
    python(abi)
    python-novaclient



Provides
--------
python2-os_virtual_interfacesv2_python_novaclient_ext:
    python-os_virtual_interfacesv2_python_novaclient_ext
    python2-os_virtual_interfacesv2_python_novaclient_ext



Source checksums
----------------
https://pypi.python.org/packages/source/o/os_virtual_interfacesv2_python_novaclient_ext/os_virtual_interfacesv2_python_novaclient_ext-0.19.tar.gz :
  CHECKSUM(SHA256) this package     : 5171370e5cea447019cee5da22102b7eca4d4a7fb3f12875e2d7658d98462c0a
  CHECKSUM(SHA256) upstream package : 5171370e5cea447019cee5da22102b7eca4d4a7fb3f12875e2d7658d98462c0a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1286867 --plugins Python -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 gil cattaneo 2016-01-27 10:47:51 EST
NON blocking issues:

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

Please, report the problem @ https://github.com/rackerlabs/os_virtual_interfacesv2_ext/issues
Comment 10 gil cattaneo 2016-01-27 10:59:03 EST
(In reply to gil cattaneo from comment #9)
> Please, report the problem @
> https://github.com/rackerlabs/os_virtual_interfacesv2_ext/issues
Sorry, i missed your comment# 5 on the issue
Comment 11 gil cattaneo 2016-01-27 10:59:36 EST
Approved
Comment 12 gil cattaneo 2016-01-27 11:02:02 EST
you can temporarily use the file http://www.apache.org/licenses/LICENSE-2.0.txt for use with the %license macro
Comment 13 Christos Triantafyllidis 2016-01-27 11:16:26 EST
Hello Gil,

I have created a pull request to upstream instead:
https://github.com/rackerlabs/os_virtual_interfacesv2_ext/pull/3

I'd like to avoid adding a license file if it is not included on upstream given that the license file should be amended with the correct copyright line.

I'll review your package later today.

Thank you,
Christos
Comment 14 Zbigniew Jędrzejewski-Szmek 2016-01-27 12:12:58 EST
Does the name have to be crazy like that?
Comment 15 Christos Triantafyllidis 2016-01-27 12:16:06 EST
That is a great question to which I have no answer.

The python package is called "os_virtual_interfacesv2_python_novaclient_ext" and we tend to name python packages as python-$packagename.

Any recommendations on renaming are welcome.
Comment 16 Zbigniew Jędrzejewski-Szmek 2016-01-27 13:08:35 EST
python-novaclient-virtual-interfaces?
Comment 17 Christos Triantafyllidis 2016-01-27 13:18:53 EST
Just to make sure that this won't conflict with anything else in future I'd say:
python-novaclient-os-virtual-interfaces

I'll create a new spec/SRPM later today.

Gil I'm marking it again as fedora-review "?" for a quick sanity check after I update the spec/SRPM before proceeding with rest.

Thank you Zbigniew for pointing this out. The name looked awkward to me too but I wasn't aware that it is fine to use something more handy.
Comment 18 gil cattaneo 2016-01-27 13:24:49 EST
(In reply to Christos Triantafyllidis from comment #17)
> Just to make sure that this won't conflict with anything else in future I'd
> say:
> python-novaclient-os-virtual-interfaces
> 
> I'll create a new spec/SRPM later today.
> 
> Gil I'm marking it again as fedora-review "?" for a quick sanity check after
> I update the spec/SRPM before proceeding with rest.
> 
> Thank you Zbigniew for pointing this out. The name looked awkward to me too
> but I wasn't aware that it is fine to use something more handy.

No, only if the changes affect the package name. otherwise you could use: "Provides: WHAT YOU WANT". The name of the package and at the
discretion of the maintainer
Comment 19 gil cattaneo 2016-01-27 13:26:54 EST
if you changes the pkg name, changes also the bug summary field
Comment 20 Upstream Release Monitoring 2016-01-27 16:38:03 EST
ctria's scratch build of python-novaclient-os-virtual-interfaces-0.19-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12703682
Comment 21 Christos Triantafyllidis 2016-01-27 17:03:34 EST
SPEC URL: https://ctria.fedorapeople.org/packaging/python-novaclient-os-virtual-interfaces/python-novaclient-os-virtual-interfaces.spec
SRPM URL: https://ctria.fedorapeople.org/packaging/python-novaclient-os-virtual-interfaces/python-novaclient-os-virtual-interfaces-0.19-1.fc23.src.rpm


For future reference I'm adding a diff of the SPEC files:

$ diff python-os_virtual_interfacesv2_python_novaclient_ext.spec  python-novaclient-os-virtual-interfaces.spec 
1a2
> %global pkgname novaclient-os-virtual-interfaces
3c4
< Name:		python-%{srcname}
---
> Name:		python-%{pkgname}
18c19
< %package -n python2-%{srcname}
---
> %package -n python2-%{pkgname}
22c23
< %{?python_provide:%python_provide python2-%{srcname}}
---
> %{?python_provide:%python_provide python2-%{pkgname}}
24c25
< %description -n python2-%{srcname}
---
> %description -n python2-%{pkgname}
39c40
< %files -n python2-%{srcname}
---
> %files -n python2-%{pkgname}
44c45
< * Mon Nov 30 2015 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 0.19-1
---
> * Wed Jan 27 2016 Christos Triantafyllidis <christos.triantafyllidis@gmail.com> - 0.19-1
Comment 22 Gwyn Ciesla 2016-01-29 06:50:29 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-novaclient-os-virtual-interfaces
Comment 23 Fedora Update System 2016-01-29 07:23:03 EST
python-novaclient-os-virtual-interfaces-0.19-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3d1f85f1d
Comment 24 Fedora Update System 2016-01-29 07:23:30 EST
python-novaclient-os-virtual-interfaces-0.19-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-478a3b580e
Comment 25 Fedora Update System 2016-01-30 14:21:53 EST
python-novaclient-os-virtual-interfaces-0.19-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3d1f85f1d
Comment 26 Fedora Update System 2016-01-30 14:55:46 EST
python-novaclient-os-virtual-interfaces-0.19-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-478a3b580e
Comment 27 Fedora Update System 2016-02-07 22:23:26 EST
python-novaclient-os-virtual-interfaces-0.19-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2016-02-08 04:21:56 EST
python-novaclient-os-virtual-interfaces-0.19-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.